# CC0

CC0 is a [waiver](waiver.md) (similar to a [license](license.md)) of [copyright](copyright.md), created by [Creative Commons](creative_commons.md), that can be used to dedicate one's work to the [public domain](public_domain.md) (kind of).

Unlike a license, a waiver such as this *removes* (at least effectively) the author's copyright; by using CC0 the author willingly gives up his own copyright so that the work will no longer be owned by anyone (while a license preserves the author's copyright while granting some rights to other people). It's therefore the most [free](free_software.md) and [permissive](permissive.md) option for releasing intellectual works. CC0 is designed in a pretty sophisticated way, it also waives "neighboring rights" (e.g. [moral rights](moral_rights.md); waving these rights is why we prefer CC0 over other waivers such as [unlicense](unlicense.md)), and also contains a fallback license in case waiving copyright isn't possible in a certain country. For this CC0 is one of the best ways, if not the best, of truly and completely dedicating works to public domain world-wide (well, at least in terms of copyright). In this world of extremely fucked up [intellectual property](intellectual_property.md) laws it is not enough to state "my work is public domain" -- you need to use something like CC0 to achieve legally valid public domain status.

WATCH OUT: **don't confuse CC0 with Creative Commons Public Domain Mark** (apart from name the symbols are also a bit similar), the latter is not a license or waiver, just a tag, i.e. CC0 is used to release something to the public domain, while PD mark is used to mark that something is already in the public domain (mostly due to being old).

CC0 is recommended by [LRS](lrs.md) for both programs and other art -- however for programs additional waivers of [patents](patent.md) should be added as CC0 doesn't deal with patents. CC0 is endorsed by the [FSF](fsf.md) but not [OSI](osi.md) (who rejected it because it explicitly states that trademarks and patents are NOT waived).

It's nice that CC0 became quite widely used and you can find a lot of material under this waiver, but **BEWARE**, if you find something under CC0, do verify it's actually valid, normies often don't know what CC0 means and happily post derivative works of proprietary stuff under CC0.

Some **things under CC0** include Librivox audiobooks, [Dusk OS](duskos.md), great many things on [Wikimedia Commons](wikimedia_commons.md), opengameart, Blendswap and freesound, whole [Esolang Wiki](esolang.md), OSdev Wiki (since 2011), [Encyclopedia Dramatica](dramatica.md), [LRS](lrs.md) software ([Anarch](anarch.md), [small3dlib](small3dlib.md), [raycastlib](raycastlib.md), [SAF](saf.md), [comun](comun.md)), Lix (libre game), evlisp minimalist [Lisp](lisp.md) (from book "Lisp From Nothing") and many others.
